| Home | Libraries | People | FAQ | More

##### windows::basic_random_access_handle::basic_random_access_handle (4 of 5 overloads)

Construct a random-access handle on an existing native handle.

    template<
        typename ExecutionContext>
    basic_random_access_handle(
        ExecutionContext & context,
        const native_handle_type & handle,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates a random-access handle object to hold an existing native handle.

###### Parameters

context

  An execution context which provides the I/O executor that the random-access handle will use, by default, to dispatch handlers for any asynchronous operations performed on the random-access handle.

handle

  The new underlying handle implementation.

###### Exceptions

boost::system::system_error

  Thrown on failure.